using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using System.Collections;
using System.Text.RegularExpressions;
using System.Text;

namespace UUN
{
    /// <summary>
    /// 编译Club/Collection_Delete2.aspx文件
    /// </summary>
    public class 编译扩展_Club_Collection_Delete2 : 编译扩展接口
    {
        private SqlConnection 连接;
        private HttpContext HC;
        private 编译器 编译器;

        public 编译扩展_Club_Collection_Delete2(SqlConnection 连接, HttpContext HC, 编译器 编译器)
        {
            this.连接 = 连接;
            this.HC = HC;
            this.编译器 = 编译器;
        }

        #region 编译扩展接口 成员

        public string 开始执行代码()
        {
            编译器.方法库 += @"
	private int ID;
	private String 返回地址;
	private void 删除收藏()
	{
		SqlCommand 语句=new SqlCommand(""DELETE FROM [""+程序.数据表前缀+""社区_收藏] WHERE [用户ID]=""+访问.用户[""ID""]+"" AND [ID]=""+ID,访问.连接);
		语句.ExecuteNonQuery();
	}
";
            return @"
		ID=Convert.ToInt32(Request.QueryString[""ID""]);
		返回地址=Request.QueryString[""rurl""];
		访问.验证会员();
		删除收藏();
";
        }

        public string 编译公共标签(string 代码)
        {
            switch (代码)
            {
                case "ID":
                    return @"
		返回值.Append(ID);
";
                case "返回地址":
                    return @"
		返回值.Append(Server.HtmlEncode(返回地址));
";
                default:
                    return "";
            }
        }

        public string 编译模板方法(string 方法名称, string[] 属性数组)
        {
            return "";
        }

        public string 结束执行代码()
        {
            return "";
        }

        #endregion
    }
}